cancel
Showing results for 
Search instead for 
Did you mean: 
Reply
Highlighted
keerthi1 Occasional Visitor
Occasional Visitor

time series visual not working

Hi Team,

 

Trying to use time series forecasting visual, got the following error message.

From the error message, it seems I need to install packages XML, plotly, ggplot2 etc. I have installed all relevant packages. But it is still showing the same error. 

 

I have also checked the "Options" and It points to right R directory.

 

Feedback Type:

Frown (Error)

 

Release:

May 2018

 

Product Version:

2.58.5103.501 (PBIDesktop) (x64)

 

Error Message:

R script error.

Loading required package: XML

Error: package or namespace load failed for 'XML':

package 'XML' was installed by an R version with different internals; it needs to be reinstalled for use with this R version

Warning message:

In libraryRequireInstall("XML") :

  *** The package: 'XML' was not installed ***

Loading required package: htmlwidgets

Error: package or namespace load failed for 'htmlwidgets':

package 'htmltools' was installed by an R version with different internals; it needs to be reinstalled for use with this R version

Warning message:

In libraryRequireInstall("htmlwidgets") :

  *** The package: 'htmlwidgets' was not installed ***

Loading required package: ggplot2

Error: package or namespace load failed for 'ggplot2':

package 'scales' was installed by an R version with different internals; it needs to be reinstalled for use with this R version

Warning message:

In libraryRequireInstall("ggplot2") :

  *** The package: 'ggplot2' was not installed ***

Loading required package: plotly

Loading required package: ggplot2

Error: package or namespace load failed for 'ggplot2':

package 'scales' was installed by an R version with different internals; it needs to be reinstalled for use with this R version

Failed with error:  'package 'ggplot2' could not be loaded'

Warning message:

In libraryRequireInstall("plotly") :

  *** The package: 'plotly' was not installed ***

Loading required package: caTools

Error: package or namespace load failed for 'caTools':

package 'caTools' was installed by an R version with different internals; it needs to be reinstalled for use with this R version

Warning message:

In libraryRequireInstall("caTools") :

  *** The package: 'caTools' was not installed ***

Loading required package: scales

Error: package or namespace load failed for 'scales':

package 'scales' was installed by an R version with different internals; it needs to be reinstalled for use with this R version

Warning message:

In libraryRequireInstall("scales") :

  *** The package: 'scales' was not installed ***

Loading required package: forecast

Loading required package: zoo

Error: package or namespace load failed for 'zoo':

package 'zoo' was installed by an R version with different internals; it needs to be reinstalled for use with this R version

Failed with error:  'package 'zoo' could not be loaded'

Warning message:

In libraryRequireInstall("forecast") :

  *** The package: 'forecast' was not installed ***

Loading required package: zoo

Error: package or namespace load failed for 'zoo':

package 'zoo' was installed by an R version with different internals; it needs to be reinstalled for use with this R version

Warning message:

In libraryRequireInstall("zoo") :

  *** The package: 'zoo' was not installed ***

Loading required package: ggplot2

Error: package or namespace load failed for 'ggplot2':

package 'scales' was installed by an R version with different internals; it needs to be reinstalled for use with this R version

Warning message:

In libraryRequireInstall("ggplot2") :

  *** The package: 'ggplot2' was not installed ***

Error in ets(timeSeries, model = deModel, damped = damped) :

  could not find function "ets"

Execution halted

2 REPLIES 2
Moderator v-qiuyu-msft
Moderator

Re: time series visual not working

Hi @keerthi1,

 

Please uninstall these R packages follow this thread: https://stackoverflow.com/questions/26573368/uninstall-remove-r-package-with-dependencies

 

Please download the Time Series Forecasting Chart sample report, then open in the Power BI desktop, it will prompt installing the packages, please click Install. 

 

Best Regards,
Qiuyun Yu 

Community Support Team _ Qiuyun Yu
If this post helps, then please consider Accept it as the solution to help the other members find it more quickly.
akj2784 Member
Member

Re: time series visual not working

I am getting the same error and it is not asking me to install packages. It seems I already had package zoo with old version or R. But now it is saying package 'zoo' was installed by an R version with different internals, it needs to be reinstalled for use with this R version.

 

How do i reinstall this R package ?

I tried the approach mentioned in the above stackoverflow link. but some how still I am getting the same error.